Package org.apache.jmeter.extractor

# Class JoddExtractor

java.lang.Object
org.apache.jmeter.extractor.JoddExtractor

All Implemented Interfaces:
  `Serializable`, `Extractor`

public class JoddExtractor extends Object implements Extractor
Jodd-Lagerto based CSS/JQuery extractor see http://jodd.org/doc/csselly/

Since:
  2.9
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JoddExtractor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `extract(String expression, String attribute, int matchNumber, String inputString, List<String> result, int found, String cacheKey)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JoddExtractor

    public JoddExtractor()

- ## Method Details

  - ### extract

    public int extract(String expression, String attribute, int matchNumber, String inputString, List<String> result, int found, String cacheKey)
    Specified by:
      `extract` in interface `Extractor`
    Parameters:
      `expression` - Expression used for extraction of nodes
      `attribute` - Attribute name to return
      `matchNumber` - Match number
      `inputString` - Page or excerpt
      `result` - List of results
      `found` - current matches found
      `cacheKey` - If not null, the implementation is encouraged to cache parsing result and use this key as part of cache key
    Returns:
      match found updated
    See Also:
      - `Extractor.extract(String, String, int, String, List, int, String)`